Bug 119202 - anaconda_t can't run userhelper apps
anaconda_t can't run userhelper apps
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-26 06:19 EST by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-02 13:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-03-26 06:19:01 EST
Description of problem:
During a kickstart %post script I set up some print queues the way I
like them like this:

printconf-tui --Ximport <<"EOF"

This works in Fedora Core 1, but with current rawhide I have to run
'/usr/sbin/printconf-tui' or else it doesn't work.

Possible solutions:

- run kickstart with /usr/sbin earlier in the PATH than /usr/bin


- have anaconda_t able to run userhelper without password

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try running a userhelper app in a kickstart script.
Comment 1 Daniel Walsh 2004-03-26 10:28:53 EST
Changed anaconda to allow rootok in main files.

Fixed in policy-1_9-18
Comment 2 Tim Waugh 2004-04-02 13:47:56 EST
Works for me.

Note You need to log in before you can comment on or make changes to this bug.